import src.monitor as monitor

from colorama import Style, Fore, Back, init

if __name__ == "__main__":

    spacer = "==========================================================================="
    url = "https://www.nike.com/de/launch?s=upcoming"
    num_monitors = 10

    init(autoreset=True)

    print(f"Creating {num_monitors} new Monitors...\n{spacer}")
    for i in range(0, num_monitors):
        mon = monitor.Monitor()
        mon.name = f"Monitor {i}"
        mon.url = url
        print(f"{Fore.MAGENTA}{mon.name}")
    print(spacer)
